google calendar source does not show all events

Bug #183846 reported by Frank Quist on 2008-01-17
192
This bug affects 24 people
Affects Status Importance Assigned to Milestone
Evolution
Expired
Wishlist
evolution-data-server (Ubuntu)
Low
Ubuntu Desktop Bugs

Bug Description

Binary package hint: evolution

The calendar shows only a couple of - old - events. 25 in total (which may be some arbitrary limit somewhere?). This happens upon loading a private calendar. I can confirm that it at least gets the calendar in part, because of the events that do show up. It might be some bug with an old non-updated calendar on Google's server, but I doubt it. All events are present in the google calendar application, and show up in the private .ics file Google provides.

Calendar properties:

Name: Frank Quist
Username: blank (is my google account name but every time I open properties it shows up blank again. Feature or bug, don't know)
Refresh: 30 minutes
Use SSL (does not make difference)
V Copy calendar contents locally for offline operation (does not make difference)
V Mark as default folder (does not make difference)

Timezone is set to Europe/Amsterdam (same as system timezone and google calendar timezone). Start day of week as monday. Changing either at the Evolution side or Google Calendar side or both (to Greenland/Scoresbysund) does not make any difference.

ProblemType: Bug
Architecture: i386
Date: Thu Jan 17 19:47:09 2008
DistroRelease: Ubuntu 8.04
ExecutablePath: /usr/bin/evolution
NonfreeKernelModules: nvidia
Package: evolution 2.21.5-0ubuntu1
PackageArchitecture: i386
ProcCmdline: evolution
ProcCwd: /home/frank
ProcEnviron:
 SHELL=/bin/bash
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=C
SourcePackage: evolution
Uname: Linux frank-hardy 2.6.24-4-generic #1 SMP Mon Jan 14 17:30:39 UTC 2008 i686 GNU/Linux

TOBI:

I face the same problem: only some appointments appear (seem to be the ones set-up after installing the google-plugin) in the evolution gui of the google calendar while the google calendar as a web-cal is perfectly operating...

Frank Quist (frankquist) wrote :
Frank Quist (frankquist) wrote :

Commandline output attached

Frank Quist (frankquist) wrote :

Might be useful to note that, after I add a google calendar, it does not show anything at all, and when turned on (by checkbox) it generates the following commandline output:

(evolution:19682): libecal-WARNING **: e-cal.c:318: Unexpected response

After a restart the problem listed in the bug report ensues. This might be a separate bug and if adviced, I'd open it as one.

Pedro Villavicencio (pedro) wrote :

Thanks for your report, I've a few events on my calendar and that works fine, Can you try to reproduce that with another new user created on your system? thanks.

Changed in evolution:
assignee: nobody → desktop-bugs
importance: Undecided → Low
status: New → Incomplete
Frank Quist (frankquist) wrote :

Maybe it only occurs with more than a few events on the calendar? Thinking that since it caps at 25, which I find an oddly human number.

l have replicated the problem with a new test user. Same settings (same google account... don't have any others and as far as I know having multiple is against the TOS). Exact same problem (same events returned, too) except that I did not get the "(evolution:19682): libecal-WARNING **: e-cal.c:318: Unexpected response" line and got one other one (see attachment).

Frank Quist (frankquist) wrote :

I have borrowed someone's (private... if anyone has a public/testing account that can be used that would be great) Google Calendar account and reproduced the same error on another system account. Oddly enough, with the other calendar the amount of events that loads also caps at 25. To me, this seems like a hint. There are a couple of errors it seems with dates, which I can't reproduce until I get a hand of a public calendar.

Rick Gabriel (klaxian1) wrote :

Confirmed.

Also, adding and removing the same account (with evolution restarts in between) can show a *different* 25 events.

Rob (barrettboy) wrote :

Confirm this bug.

Only 3 out of 500+ items using google calendar plugin. However, all items are visible when the calendar is loaded into evolution using webcal://

Gergely Janossy (marcabru) wrote :

Confirm this bug.

I have repeated events till June 2008, however I only see events until two days ago. Today's events does not show up.

jeremy-list (quick-dudley) wrote :

Confirmed: I'm getting a slightly different variation: All one-off events are showing up fine, all recurring events are not showing up.

Craig Maloney (craig-decafbad) wrote :

Please check this with the latest version of Evolution (2.22.2-0ubuntu1). It appears this has been addressed.

Changed in evolution:
status: Incomplete → Confirmed
Rob (barrettboy) wrote :

Tested with 2.22.2, uncucessful.

More events are coming through than before, but not all. I left it open overnight and ~100 out of 1000+ events appeared in my evolution calendar.

Pedro Villavicencio (pedro) wrote :

still an issue with latest updates? may someone forward this upstream? thanks.

Changed in evolution:
status: Confirmed → Incomplete
Gonzhauser (gonzhauser) wrote :

Confirming this bug with the latest evolution (2.22.2-0ubuntu1.3).
You can have more than one calendar at Google and only the first one
is shown. For example, I have a personal one, one for business and one for traveling.
After importing in evolution only the personal one is shown.

Pedro Villavicencio (pedro) wrote :

May you forward this upstream then at bugzilla.gnome.org? for forwarding instructions please have a look to https://wiki.ubuntu.com/Bugs/Upstream/GNOME ; leaving this as incomplete until that, thanks.

Pedro Villavicencio (pedro) wrote :

any news on this? does somebody sent it upstream?

Andreas Moog (ampelbein) wrote :

I just sent it.

Changed in evolution:
status: Unknown → New
Pedro Villavicencio (pedro) wrote :

thanks a lot for sent it.

Changed in evolution:
status: Incomplete → Triaged
tobi (tobias-ostermeier) on 2008-10-24
description: updated
Tessa Lau (tlau) wrote :

I'm getting the same behavior as jeremy-list: only one-off events show up; recurring events do not appear. (Evolution 2.24.1 on Ubuntu Ibex.)

Konrad Paumann (kopa) wrote :

I can confirm this for evolution 2.24.1 (intrepid) too!

> I'm getting the same behavior as jeremy-list: only one-off events show up; recurring events do not appear. (Evolution > 2.24.1 on Ubuntu Ibex.)

Andy Pomfret (cooperised) wrote :

Confirmed on Evolution 2.24.1 Ubuntu Intrepid x64. And it's extremely annoying! Basically renders google calendar functionality useless.

Additional information: The bug appears to be to do with the storage of time information. I have a calendar with a week-long event that Evolution fails to display. Taking an iCal dump of the calendar from Evolution reveals the event, but with:
DTSTART;TZID=/softwarestudio.org/Tzfile/Europe/London:-0011130T000000
DTEND;TZID=/softwarestudio.org/Tzfile/Europe/London:-0011130T000000
The UID given for the item is a valid google URL, which returns an xml document containing (among other things):
<gd:when startTime='2008-11-24' endTime='2008-11-29'/>
So it seems that Evolution is incorrectly parsing the start and end times for the event?

HTH
Andy

Mattias Eriksson (snaggen) wrote :

A patch exists in bug:
http://bugzilla.gnome.org/show_bug.cgi?id=508496

But for some reason it has not been commited. Maybe it could be added to teh ubuntu package if the patch looks sane.

Joe (joe-britton) wrote :

I can successfully sync events at specific times (eg. 1:30p) between google calendar and evolution calendar using the "google" sync. wizzard. However, events marked as "All day" in google calendar don't sync to evolution at all. And, events in evolution marked as "All Day Event" appear in google calendar as an event scheduled at 12:00am.

Evolution 2.24.2

ProblemType: Bug
Architecture: amd64
DistroRelease: Ubuntu 8.10
ExecutablePath: /usr/bin/evolution
NonfreeKernelModules: nvidia
Package: evolution 2.24.2-0ubuntu1
ProcEnviron:
 PATH=/home/username/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: evolution
Uname: Linux 2.6.27-9-generic x86_64

Steve Garton (sheepeatingtaz) wrote :

I have just switched to Evolution from thunderbird, and I too am not getting any recurring events in my Google Calander (within evolution). This is regardless of whether they are All Day events or specifically timed ones.

nox (super-moa) wrote :

I'have the same problem. When I have lot of event un google calendar, evolution lost somes events, but event are in web on google calendar.

If I add google calendar with webcalendar (not google) i can see all my events. (but can not write)
If i add the calendar like Google calendar, Evolution lots some of my event.
(Gnome evolution 2.24.3 / intrepid 32bit)
I have lots of event. When I had just few event, there are no problems.

budgester (budgester) wrote :

Having the same issue here, only a few events are showing.

It allows me to subscribe to multiple calendars, but only seems to show a few events from some.

benste (benste) wrote :

The old URL on bugzilla links to the new one and obviously this error is caused by recursive events.

Changed in evolution:
status: New → Unknown
Changed in evolution:
status: Unknown → In Progress

I confirm that repeating events do not show up. Neither do they show up in evolution when created via the Google website, nor am I able to create a repeating event in a google calendar via evolution. They either disappear completely after pressing "save", or they are created as non-repeating.

benste (benste) wrote :

Please take a look into the upstream bugzilla report,
I'm in contact with IRC users mrcha hddah and chen, who seems to be the one responsible for evo @ gnome project.

He allready uploaded a first patch for jaunty into launchpad PPA it's linked in the bugzilla thread, you may take a look into it and test it yourself.

phillthy (phillipraaymaakers) wrote :

Just found a bug which could be related.
Evolution successfully downloads all private calendar events which do not repeat. The calendar events which repeat (in my case, uni subjects that repeat weekly) do not download at all. However, during mid-semester break I have removed the subjects from my google calendar for that week, and those events DO download successfully.

So for repeated events evolution downloads only the repeated timeslots that have been deleted from google calendar, and not the actual repeated times that appear.

Hope that makes sense.
Evo 2.24.3
Intrepid

Cheers
Phill

benste (benste) wrote :

Yes this is the same prob.

snoapx (didelot-sylvain) wrote :

Bug confirmed.

I also have the same problem on Ubuntu Jaunty.
I can't synchronize repeated events from Google Agenda to Evolution.

knut (k-n-u-t) wrote :

Me, too. Ubuntu Jaunty. No recurring events from google calendar

R.M.C (rayraycabe) wrote :

Same for me. Any recurring events from Google calender will not display at all.

I have to enter progress logs twice a day at my work, Once at 12:00 and again at 5:00, Monday - Friday. Because I keep my email client open all day, I added the events to a Google Calendar to remind my self. None of them show at all.

I also have important recurring filing dates set for my side projects...they don't show at all either.

Running 9.04

Thanks
New Linux User

Carl Davis (carl.davis) wrote :

I can confirm that Google Calendar recurring events do now show up in Evolution 2.26.1 under Ubuntu 9.04.

R.M.C (rayraycabe) wrote :

I have version 2.26.1 and ubuntu 9.04, and it still doesn't show up. I just triple checked. Also, I have noticed something else. Alarms for events in Google calendar will not display either. I've had 3 bill paying reminders to pass without the slightest alarm. I logged into Google and verified that the alarms are set, but evolution will not display them and indicates that none are set.

I ran the update manager multiple times to see if there had been an update. As of May 3rd 6:08 EST, I am currently up to date.

Am I just missing something?

monkley (spamkie) wrote :

Also running 2.26.1 and ubuntu 9.04

Recurring event do not show up properly for me either. Some do and some don't.
I'm guessing here but maybe it's do to with a recurring event being set up which displays ok, but then if you make an one off change to 1 of the recurring events, then it screws it up? Or it's when you modify a recurring event and tell google calendar to modify all following events rather than the whole series?

Rich Renomeron (rrenomeron) wrote :

As a workaround for this, you can also try using Evolution's CalDAV support. See http://www.google.com/support/calendar/bin/answer.py?hl=en&answer=99358#sunbird for how to set it up.

benste (benste) wrote :

hi thx a lot for this idea, but this seems to be buggy too,

I tried to add it, and all including the recurring events are right, BUT
changing some events doesn't change the Google Calender, AND after reloading evolution (i tried cause I wasn't sure when data will be synced)

Evo FAILED to load the calendar at all!!

I spoke to Milan Chr some weeks ago on IRC, (he seems to be one of the main contributors to the evo cal part) hopefully in near feautre we'll have an updated version, but probably it will take some time cause Google seems to change the accessing methods all the time.

rg (rob-themayfire) wrote :

I'm on Ubuntu 9.04 + Evolution 2.26.1. Two days ago I wasn't getting any recurring events synced from my Google calendar. I tried adding as a Google calendar and as an "On The Web" calendar (is that caldav?) Neither was giving me recurring events.

Today I was gonna add my two cents to this thread, when I looked at Evolution again and wha?? The recurring events are there! But only on the "On The Web" version of the google calendar. The "google" version of the google calendar still doesn't show any recurring events.

And here's something else I realized that changed: Before, every time I fired up Evolution, it would prompt for my google calendar password, even though I always checked the "remember this password" box. Now it's not doing that anymore.

I haven't run any updates in the last two days, so either Google is changing stuff, or.. here's another totally harebrained theory: this morning I needed to encrypt an unrelated text file, using Seahorse. To do so I had to create a new PGP key, because this is a fresh Ubuntu install. I don't see why this has anything to do with it, but I can't help but notice that...

1. I did something password/key related, and then a password/key related issue went away in Evolution.

2. The recurring events problem went away at (it seems) the same time as the password issue.

So.. perhaps Evolution needs to log into the google account repeatedly for recurring events; and perhaps some sort of keyring issue is preventing that; and perhaps running seahorse (gnuPGP) for the first time "fixes" the keyring issue?

As I said, harebrained. But it would explain a lot, like why such a serious bug is happening to only a few users, and generally not to programmers (who are most likely to be able to fix it AND most likely to have already touched their keyrings)

hm.

rg (rob-themayfire) wrote :

Oh, and I was wrong about "on the web" being the same as CalDAV. I just tried adding my google calendar using the CalDAV method described by Rich's link above, and it works quite nicely. Evo hung up a bit at first, but recovered on its own, I'm getting recurring events AND I can create events from Evo up to Google (with the right time and everything!)

So far, CalDAV is working way better than the built-in "Google" approach.

benste (benste) wrote :

Yes cal Dav is working fluently including multiple calendars, passwrd saving, creating new and reccuring events, and getting reminders, that's the reason why I opened a wishlist bug on bugzilla yesterday.

As far as I can see it from my point of view, it may be possible to replace the Google calendar option by caldav.

For more details pls see the projects own bug reporting:

Google Evo Bug in bugzilla (gnome-bugtracing): http://bugzilla.gnome.org/show_bug.cgi?id=583258

My request to replace Google through CalDav: http://bugzilla.gnome.org/show_bug.cgi?id=583374

Google how to caldav http://www.google.com/support/calendar/bin/answer.py?answer=99358 >>use mozilla sunbird option pls

benste (benste) wrote :

solution for password not saved in keyring is found and will be patched to the next version:
http://bugzilla.gnome.org/show_bug.cgi?id=578335

Robert McMeekin (rrm3) wrote :

I switched to caldav, and at first it looked like recurring events still didn't show up, but when I went back in the calendar to the days the recurring events started, they appeared everywhere they were supposed to be. So now I'm happy. :)

Sebastien Bacher (seb128) wrote :

the bug has been fixed upstream now

Changed in evolution (Ubuntu):
status: Triaged → Fix Committed
affects: evolution (Ubuntu) → evolution-data-server (Ubuntu)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package evolution-data-server - 2.27.4-0ubuntu1

---------------
evolution-data-server (2.27.4-0ubuntu1) karmic; urgency=low

  * New upstream version:
    Bug Fixes:
    Addressbook:
    - #540779 - Do not call e_book_new in the main thread (lp: #265044)
    - #563668 - Do not pop-down an empty completion list
    - #586225 - Parse numeric name suffixes
    Calendar:
    - #548702 - google calendar source does not show all events (lp: #183846)
    Mail:
    - #575701 - Message disappear from unread vfolder, when reply.
    - #568302 - create camel summary table if not exists on load
    - #586602 – folder messages are lost on folder rename
    - #327285 - Word "Success" in error message for failed action (lp: #175599)
    - #587699 - IMAP - Localize only Inbox folder name, no other
    - #579065 - IMAP - Synchronize remote mail locally is not working
      (lp: #331478)
    - #564388 - UI blocks for a long time when downloading mails with nntp
    Misc:
    - #586442 – Various build cleanups
    - #586477 – Fix quoting in configure.ac
    - #586811 – Require automake 1.9 and fix whitespace
    - #586813 – Fix iconv cflags/libs in configure.ac
    - #586809 – Enable "silent rules" automake 1.11 option
    - #587165 – Double free in initialize_categories
    - #587374 - iconv test broken on some gcc
        Other Fixes:
    Misc:
    Use G_BEGIN_DECLS / G_END_DECLS macros.
    Work around deprecation of g_mapped_file_free
    Silence some compiler warnings
    Fixes for windows build
    Calendar:
    CalDav Fixes/improvements
    Translations

 -- Sebastien Bacher <email address hidden> Mon, 13 Jul 2009 15:01:33 +0200

Changed in evolution-data-server (Ubuntu):
status: Fix Committed → Fix Released
Simon Schmidig (schmidig) wrote :

Is there also a Jaunty package?

Sebastien Bacher (seb128) wrote :

> Is there also a Jaunty package?

not yet, the change needs to be confirmed to be working on karmic and then can be evaluated for a stable update

Le lundi 13 juillet 2009 à 15:21 +0000, Sebastien Bacher a écrit :

> > Is there also a Jaunty package?
>
> not yet, the change needs to be confirmed to be working on karmic and
> then can be evaluated for a stable update
>

Thank you!

Cordialement

simon schmidig
manzoni schmidig architectes urbanistes sàrl

        39 rue eugène-marziano
        1227 les acacias
        t +41 22 301 70 90
        f +41 22 301 70 89
        <email address hidden>

thomas r. (teerausch) wrote :

hi,

i'm usuing ubuntu 9.04 with evolution 2.26.1 and i'm having similar problems with repeating events as described in https://bugs.launchpad.net/evolution/+bug/232295.

additionally i have noticed, that single events of a series i have deleted in google calendar (because of a holiday for example), show up in evolution but the rest of the series doesn't.

benste (benste) wrote :

Hi phneutral, as you can see above this bug has been fixed in karmic koala (and as far as I remember you don't have it if you use ical instead of Google import)

Simon Schmidig (schmidig) wrote :

Hi,

Sometimes the problem persist. Not all events are synced. If I change an event in evolution, it is change in Google but some minutes later evolution change back to the old version. Some times evolution also "lost" events ...

Pedro Villavicencio (pedro) wrote :

if you're still facing the issue please open a new bug report, thanks.

Ville Ranki (ville-ranki) wrote :

Shouldn't this bug be closed if it's fixed?

Changed in evolution:
importance: Unknown → Wishlist
status: In Progress → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.